Main Page Packages Class Hierarchy Compound List File List Compound Members

# notationgetpublicidnull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| notationgetpublicidnull (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getPublicId()" method of a Notation node contains the public identifier associated with the notation, if one was not specified a null value should be returned.

Retrieve the notation named "notation2" and access its public identifier. Since a public identifier was not specified for this notation, the "getPublicId()" method should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-54F2B4D0

Definition at line 46 of file notationgetpublicidnull.java.

## Constructor & Destructor Documentation

notationgetpublicidnull::notationgetpublicidnull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file notationgetpublicidnull.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String notationgetpublicidnull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 68 of file notationgetpublicidnull.java.
    00068                                 {
    00069       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/notationgetpublicidnull";
    00070    }

void notationgetpublicidnull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 71 of file notationgetpublicidnull.java. References DOMTestCase::doMain().
    00071                                           {
    00072         DOMTestCase.doMain(notationgetpublicidnull.class,args);
    00073    }

void notationgetpublicidnull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file notationgetpublicidnull.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       DocumentType docType;
    00057       NamedNodeMap notations;
    00058       Notation notationNode;
    00059       String publicId;
    00060       doc = load("staff");
    00061       docType = doc.getDoctype();
    00062       notations = docType.getNotations();
    00063       notationNode = (Notation)notations.getNamedItem("notation2");
    00064       publicId = notationNode.getPublicId();
    00065       assertNull("notationGetPublicIdNullAssert",publicId);
    00066
    00067    }

The documentation for this class was generated from the following file:

- notationgetpublicidnull.java